Skip to main content
GET
/
configuration
/
v1
/
segments
/
{segmentId}
Retrieve a segment
curl --request GET \
  --url https://api.sandbox.asapp.com/configuration/v1/segments/{segmentId} \
  --header 'asapp-api-id: <api-key>' \
  --header 'asapp-api-secret: <api-key>'
import requests

url = "https://api.sandbox.asapp.com/configuration/v1/segments/{segmentId}"

headers = {
"asapp-api-id": "<api-key>",
"asapp-api-secret": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'asapp-api-id': '<api-key>', 'asapp-api-secret': '<api-key>'}
};

fetch('https://api.sandbox.asapp.com/configuration/v1/segments/{segmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "USER_SUPPORT",
  "name": "Support",
  "query": {
    "type": "raw",
    "raw": "TRUE"
  },
  "structuredDataFieldIds": []
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "400-01",
"message": "Bad request"
}
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "401-01",
"message": "Unauthorized"
}
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "403-01",
"message": "Forbidden Response"
}
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "404-01",
"message": "Not Found"
}
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "409-01",
"message": "Conflict"
}
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "413-01",
"message": "Request Entity Too Large"
}
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "422-01",
"message": "Unprocessable Entity"
}
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "429-01",
"message": "Too Many Requests"
}
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "500-01",
"message": "Internal server error"
}
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "503-01",
"message": "Service Unavailable"
}
}

Authorizations

asapp-api-id
string
header
required
asapp-api-secret
string
header
required

Path Parameters

segmentId
string
required

Identifier of the segment

Response

Successfully retrieved the seg,emt.

Segment

id
string

The id of the segment

name
string

The name of the segment

query
object

A query that defines which conversations belong to this segment based on their metadata.

structuredDataFieldIds
string[]

The ids of the structured data fields that will be used to generate the structured data for the conversation.